Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class TypedRegion

    java.lang.Object
      org.eclipse.jface.text.Region
          org.eclipse.jface.text.TypedRegion

All Implemented Interfaces:
  IRegion, ITypedRegion

    public class TypedRegion

extends Region
implements ITypedRegion

Default implementation of `ITypedRegion`. A `TypedRegion` is a value object.

Constructor Summary
`TypedRegion(int offset, int length, String type)` Creates a typed region based on the given specification.

Method Summary
`boolean` `equals(Object o)`
`String` `getType()` Returns the content type of the region.
`int` `hashCode()`
`String` `toString()`

Methods inherited from class org.eclipse.jface.text.Region
`getLength, getOffset`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.text.IRegion
`getLength, getOffset`

Constructor Detail

### TypedRegion

    public TypedRegion(int offset,
                       int length,
                       String type)

  Creates a typed region based on the given specification.

  Parameters:
    `offset` - the region's offset
    `length` - the region's length
    `type` - the region's type

Method Detail

### getType

    public String getType()

  Description copied from interface: `ITypedRegion`
  Returns the content type of the region.

  Specified by:
    `getType` in interface `ITypedRegion`
  Returns:
    the content type of the region

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Region`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Region`

### toString

    public String toString()

  Overrides:
    `toString` in class `Region`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.